#include <stdio.h>

unsigned long vuetrace_int(int i)
{
  printf("int = %lu\n", sizeof(i));
  return(sizeof(i));
}

unsigned long vuetrace_long(long l)
{
  printf("long = %lu\n", sizeof(l));
  printf("long (value) = %ld\n", l);
  return(sizeof(l));
}

unsigned long vuetrace_ulong(unsigned long ul)
{
  printf("unsigned long = %lu\n", sizeof(ul));
  printf("unsigned long (value) = %lu\n", ul);
  return(sizeof(ul));
}

unsigned long vuetrace_lptr(long *p)
{
  printf("long * = %lu\n", sizeof(p));
  return(sizeof(p));
}

unsigned long vuetrace_longlong(long long ll)
{
  printf("long long = %lu\n", sizeof(ll));
  return(sizeof(ll));
}

int main(int argc, char *argv[])
{
  int ival;
  long lval;
  long *lptr;
  unsigned long ulval;
  long long llval;
  
  ival = 1;
  vuetrace_int(ival);

  lval = LONG_MAX;
  vuetrace_long(lval);

  ulval = ULONG_MAX;
  vuetrace_ulong(ulval);

  lptr = &lval;
  vuetrace_lptr(lptr);

  llval = 1;
  vuetrace_longlong(llval);

  return(0);
}

